package com.hfkj.sysenum.user;

import java.util.Objects;

/**
 * 登录方式
 * @className: LoginType
 * @author: HuRui
 * @date: 2022/10/20
 **/
public enum UserLoginType {
    SMS("SMS", "短信登录"),
    WECHAT_MA_PHONE("WECHAT_MA_PHONE", "微信小程序手机号"),
    WECHAT_MA_OPENID("WECHAT_MA_OPENID", "微信小程序openId"),
    WECHAT_MP_OPENID("WECHAT_MP_OPENID", "微信公众号openId"),
    TRIPARTITE("TRIPARTITE", "第三方平台"),
            ;

    private String code;

    private String name;

    UserLoginType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 根据类型查询数据
     * @param code
     * @return
     */
    public static UserLoginType getDataByType(String code) {
        for (UserLoginType ele : values()) {
            if(Objects.equals(code,ele.getCode())) return ele;
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
